import { Emitter } from '@theia/core/lib/common/event';
import { EditorPreferences, EditorConfiguration } from '@theia/editor/lib/browser/editor-preferences';
import { ThemeService } from '@theia/core/lib/browser/theming';
import { Theme } from '@theia/core/lib/common/theme';
import { ColorRegistry } from '@theia/core/lib/browser/color-registry';
import { ColorApplicationContribution } from '@theia/core/lib/browser/color-application-contribution';
export declare type WebviewThemeType = 'vscode-light' | 'vscode-dark' | 'vscode-high-contrast';
export interface WebviewThemeData {
    readonly activeThemeName: string;
    readonly activeThemeType: WebviewThemeType;
    readonly styles: {
        readonly [key: string]: string | number;
    };
}
export declare class WebviewThemeDataProvider {
    protected readonly onDidChangeThemeDataEmitter: Emitter<void>;
    readonly onDidChangeThemeData: import("@theia/core/lib/common/event").Event<void>;
    protected readonly editorPreferences: EditorPreferences;
    protected readonly colors: ColorRegistry;
    protected readonly colorContribution: ColorApplicationContribution;
    protected readonly themeService: ThemeService;
    protected themeData: WebviewThemeData | undefined;
    protected readonly editorStyles: Map<keyof EditorConfiguration, string>;
    protected init(): void;
    protected reset(): void;
    getThemeData(): WebviewThemeData;
    protected computeThemeData(): WebviewThemeData;
    protected getActiveTheme(): Theme;
    protected getThemeType(theme: Theme): WebviewThemeType;
}
//# sourceMappingURL=webview-theme-data-provider.d.ts.map